Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.symbolTable
Class Parameter

    java.lang.Object
      org.apache.axis.wsdl.symbolTable.Parameter

public class Parameter
extends java.lang.Object

This class simply collects

Field Summary
`static byte` | `IN` Field IN
`static byte` | `INOUT` Field INOUT
`static byte` | `OUT` Field OUT

Constructor Summary
`Parameter()`

Method Summary
`MimeInfo` | `getMIMEInfo()` Get the MIME type of the parameter.
`byte` | `getMode()` Get the mode (IN, INOUT, OUT) of the parameter.
`java.lang.String` | `getName()` Get the name of this parameter.
`QName` | `getQName()` Get the fully qualified name of this parameter.
`TypeEntry` | `getType()` Get the TypeEntry of the parameter.
`boolean` | `isInHeader()` Is this parameter in the input message header?
`boolean` | `isNillable()` Indicates whether this parameter is nillable or not.
`boolean` | `isOmittable()`
`boolean` | `isOutHeader()` Is this parameter in the output message header?
`void` | `setInHeader(boolean inHeader)` Set the inHeader flag for this parameter.
`void` | `setMIMEInfo(MimeInfo mimeInfo)` Set the MIME type of the parameter.
`void` | `setMode(byte mode)` Set the mode (IN, INOUT, OUT) of the parameter.
`void` | `setName(java.lang.String name)` Set the name of the parameter.
`void` | `setNillable(boolean nillable)` Indicate whether this parameter is nillable or not.
`void` | `setOmittable(boolean omittable)`
`void` | `setOutHeader(boolean outHeader)` Set the outHeader flag for this parameter.
`void` | `setQName(QName qname)` Set the QName of the parameter.
`void` | `setType(TypeEntry type)` Set the TypeEntry of the parameter.
`java.lang.String` | `toString()` Method toString

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IN

    public static final byte IN

  Field IN

  See Also:
    Constant Field Values

### OUT

    public static final byte OUT

  Field OUT

  See Also:
    Constant Field Values

### INOUT

    public static final byte INOUT

  Field INOUT

  See Also:
    Constant Field Values

Constructor Detail

### Parameter

    public Parameter()

Method Detail

### toString

    public java.lang.String toString()

  Method toString

  Returns:

### getQName

    public QName getQName()

  Get the fully qualified name of this parameter.

  Returns:

### getName

    public java.lang.String getName()

  Get the name of this parameter. This call is equivalent to getQName().getLocalPart().

  Returns:

### setName

    public void setName(java.lang.String name)

  Set the name of the parameter. This replaces both the name and the QName (the namespaces becomes "").

  Parameters:
    `name` -

### setQName

    public void setQName(QName qname)

  Set the QName of the parameter.

  Parameters:
    `qname` -

### getMIMEInfo

    public MimeInfo getMIMEInfo()

  Get the MIME type of the parameter.

  Returns:

### setMIMEInfo

    public void setMIMEInfo(MimeInfo mimeInfo)

  Set the MIME type of the parameter.

  Parameters:
    `mimeInfo` -

### getType

    public TypeEntry getType()

  Get the TypeEntry of the parameter.

  Returns:

### setType

    public void setType(TypeEntry type)

  Set the TypeEntry of the parameter.

  Parameters:
    `type` -

### getMode

    public byte getMode()

  Get the mode (IN, INOUT, OUT) of the parameter.

  Returns:

### setMode

    public void setMode(byte mode)

  Set the mode (IN, INOUT, OUT) of the parameter. If the input to this method is not one of IN, INOUT, OUT, then the value remains unchanged.

  Parameters:
    `mode` -

### isInHeader

    public boolean isInHeader()

  Is this parameter in the input message header?

  Returns:

### setInHeader

    public void setInHeader(boolean inHeader)

  Set the inHeader flag for this parameter.

  Parameters:
    `inHeader` -

### isOutHeader

    public boolean isOutHeader()

  Is this parameter in the output message header?

  Returns:

### setOutHeader

    public void setOutHeader(boolean outHeader)

  Set the outHeader flag for this parameter.

  Parameters:
    `outHeader` -

### isOmittable

    public boolean isOmittable()

### setOmittable

    public void setOmittable(boolean omittable)

### isNillable

    public boolean isNillable()

  Indicates whether this parameter is nillable or not.

  Returns:
    whether this parameter is nilliable

### setNillable

    public void setNillable(boolean nillable)

  Indicate whether this parameter is nillable or not.

  Parameters:
    `nillable` - whether this parameter is nilliable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.